training - Training #236
Flutter Training
11/04/2019 01:20 PM - Mahesh Saini

Status: Closed Start date: 11/04/2019
Priority: Normal Due date:

Assignee: Kunal Jangid % Done: 60%
Category: Estimated time: 0.00 hour
Target version: Spent time: 409.00 hours
Description

Learn flutter from online resources.

History

#1 - 11/04/2019 01:21 PM - Mahesh Saini

- Tracker changed from Bug to Training

#2 - 11/04/2019 01:39 PM - Kunal Jangid
- % Done changed from 0 to 40

Learned Flutter Basics.
Learned Designing Ul.
Learned Basics of Dart Programming.

#3 - 11/05/2019 01:32 PM - Kunal Jangid
- % Done changed from 40 to 50

#Designed some simple Layouts with Flutter.
#Learned Basics of Dart Programming.

#4 - 11/06/2019 01:33 PM - Kunal Jangid

#Understood Flutter.
#Understood Classes and Functions of Dart Programming.

#5 - 11/07/2019 01:42 PM - Kunal Jangid

#followed the given syllabus of course 'Learn Flutter & Dart to Build iOS & Android Apps'
#learned material designs,Widget Tree,Building Layouts.
#done some practicals also, on Building layouts.

#6 - 11/08/2019 01:28 PM - Kunal Jangid

#followed the given syllabus of course 'Learn Flutter & Dart to Build iOS & Android Apps'
#learned about widget Styling,Combining Multiple Widgets into a screen

#Handling TextField Inputs

#Learned Custom Classes, Cards, TextField, Stateful Widgets

#Made a Simple Profile Page Ul.

#7 - 11/11/2019 01:31 PM - Kunal Jangid

#Learned ListView-ListTile, GridView.

#Learned TabBar

#Done Practical on ListView and ListTile with using Card.

#Went through Modal Bottom List,Navigation Drawer and Tab Layout.

#followed the given syllabus of course 'Learn Flutter & Dart to Build iOS & Android Apps'

#8 - 11/12/2019 01:37 PM - Kunal Jangid

#Learned TabController, Modal Bottom Sheet, Navigation Drawer,FloatinglconButton.
#Done Practical on defined in #1.

#Went through "working with Data Models"

#followed the given syllabus of course 'Learn Flutter & Dart to Build iOS & Android Apps'
#9 - 11/13/2019 01:32 PM - Kunal Jangid

#Understood Working with Forms & User Inputs.
#Understood Validations and Managing Form Inputs.
#Snackbars,AlertDialogs

#Understood the Concepts of Mixin, Providers
#Navigation,passing data to another screen.

#10 - 11/14/2019 01:36 PM - Kunal Jangid

#Done Practical on Form with their validations.
#Managing Form Input Focus.

#Multiline Inputs and Disposing Objects.
#Image Inputs and Image Preview

#11 - 11/15/2019 01:37 PM - Kunal Jangid

#Drawing Form with Proper Validations (Task)
#Read about TextEditingController.

#12 - 11/18/2019 01:35 PM - Kunal Jangid

#Responsive & Adaptive User Interfaces and Apps.

#13 - 11/19/2019 01:29 PM - Kunal Jangid

#Learned Adding Logic, Mapping the Data into Widgets, Fetching User Inputs, Learned Connecting Widgets & Managing Data with building the real
app example

#14 - 11/20/2019 01:37 PM - Kunal Jangid

#Learned Using Native Device Features(Camera,Maps,Location,...)

#15 - 11/21/2019 01:37 PM - Kunal Jangid

#practical Using Camera.

#Capturing Image with Camera and Gallery and Displaying Image Preview.

#some practical Using Location(finding Location,saving ImageofMap).

#Understood the concept of SQLite(Creating Table, Inserting elements into that table).

#16 - 11/22/2019 01:35 PM - Kunal Jangid

#Done practicals Using SQLite.
#Performed Asynchronous Function.
#Used Create,Insert,Update,Delete Queries.

#17 - 11/25/2019 01:32 PM - Kunal Jangid

#Created a Ul like WhatsApp (Task).

#Learned and created a 'Demo Web Application' using Flutter (Task).
#Learned Adding Splash Screen & Icons to App.

#Understood sending Http Requests.

#Understood some of the Animation Part.

#18 - 11/26/2019 01:28 PM - Kunal Jangid

#Learned Animations.

#Slivers(animation), Tween Animation, Spring Animation,Manually and System Controlled Animation
#Learned Http (Sending Requests,Handling Errors).

#Learned User Authentication (Login,Signup,Handling Errors).

#Some part of Shared Preferences.

#19 - 11/27/2019 01:30 PM - Kunal Jangid

#learned Shared Preferences.

#Practiced with Authentication(sign up & Login).
#Worked on a given Ul (Task).

#Firebase Setup.

#learned Loading Screen(Progress Bar).

#20 - 11/28/2019 02:21 PM - Kunal Jangid

#completed authentication(SignUp & Login).
#worked on Create Form (Task).

#Learned Named Routes in Navigations.
#worked on FitKit(plugin to use read health data)
#21 - 11/29/2019 01:39 PM - Kunal Jangid

#worked on FitKit(fetched the health data).
#worked on Scanner animation on image(Task).
#Integrated Flutter app with Firebase(Read data from the firebase).

#22 - 12/02/2019 01:34 PM - Kunal Jangid

#Built a chat app with Flutter and Firebase.(Task)
#Understood the logic behind movement of data between app and firebase.

#23 - 12/03/2019 02:05 PM - Kunal Jangid

#Understood Firebase Messaging.
#Created on a Form with Validation (Task).
#Little worked on creating a Card (Task).

#24 - 12/04/2019 01:36 PM - Kunal Jangid

#Created a Card (Task).

#Created a Model Class (Task).
#Learned Parsing JSON Data Locally.
#Learned Flip_Card Animation.

#25 - 12/05/2019 01:32 PM - Kunal Jangid

#Listed Features of an Application(Task).
#Practiced on Facebook Login.
#Understood working of REST API, fetching data from on network JSON.

#26 - 12/06/2019 01:55 PM - Kunal Jangid

#Built an example app using REST API.
#Created a Nested Model Class(task).
#Created CupertinoSegmentedControl Tab(task).

#27 - 12/09/2019 01:41 PM - Kunal Jangid

#Tested OIDDS.
#Fixed some Errors.
#Prepared Check-in button on Instructor Confirmed Programs.

#28 - 12/10/2019 01:39 PM - Kunal Jangid

#lmplemented Checkin feature on OIDDS for fetching Program's Location Coordinates (Latitude, Longitude) .
#Understood the flow of data through API and model classes in OIDDS.

#29 - 12/11/2019 01:39 PM - Kunal Jangid

#worked on creating dynamic checkln and checkOut Button of OIDDS.
#worked for displaying time when clicking on checkln and checkOut buttons.

#30 - 12/12/2019 01:52 PM - Kunal Jangid

#Worked on Ul that displays the Accepted/Rejected/Pending IDP.

#Worked on fixing following issues with OIDDS-

#user login >> Create IDP >> fill all fields >> remove start and end date >> mandatory validation is not appearing for these fields.
#user login >> Create IDP >> Start Date should not be allowed to enter date smaller then End Date.

#user login >> Create Education >> fill all fields >> remove start and end date >> mandatory validation is appearing for these fields.
#admin login >> Program >> Add Program >> Start Date should not be allowed to enter date smaller then End Date.

#worked for Setting Prefixed Date Values in IDP,Program and Education form

#31 - 12/13/2019 02:05 PM - Kunal Jangid

#Designed Ul and worked on Terminate, Cancel and Deliver Buttons of Program List of OIDDS.
#worked on fixing issues with OIDDS.

#32 - 12/16/2019 02:00 PM - Kunal Jangid

#worked on Instructor Tabs (Approved, Pending, All)
#worked on SetProgramStatus With Ul (Delivered, Cancel, Terminated) by calling the implemented API.
#worked on setting and formatting Ul of Login screen and User Screen .

#33 - 12/17/2019 01:46 PM - Kunal Jangid
#Created a Ul of Login Screen for OIDDS.
#Created a Ul of Register Screen for OIDDS.
#Created a Ul of Forgot Password for OIDDS.
#Created Cards of Dashboard Screen for OIDDS.

#34 - 12/18/2019 01:39 PM - Kunal Jangid

#worked on to modifying Dashboard Screen.

#worked on setting image header on UserScreen and Home Screen.
#worked on setting and formatting UL.

#Understood concept of Pagination in Flutter

#35 - 12/19/2019 01:37 PM - Kunal Jangid

#understood Flutter Calender Carousel.
#understood Flutter class Date Range Picker.

#36 - 12/26/2019 01:56 PM - Kunal Jangid
#Learned about Image Slider/Carousel Slider.

#Learned about Spinbar Loading Indicators.

#37 - 01/07/2020 01:55 PM - Kunal Jangid

#Learned flowing of data through JSON and model classes in project OIDDS.

#38 - 01/08/2020 01:46 PM - Kunal Jangid

#read about hosting flutter app using firebase.
#read about Transform widgets.

#39 - 01/09/2020 01:46 PM - Kunal Jangid

#understood about localstorage.

#40 - 01/14/2020 01:37 PM - Kunal Jangid

#read about sliders, Range Slider.
#firebase Storage.
#articles about flutter on medium.com

#41 - 01/27/2020 02:02 PM - Kunal Jangid

#CustomPainter
#Rubber Bottom Sheet.
#Dark Theme

#42 - 01/28/2020 01:33 PM - Kunal Jangid

#looked for some restaurent food ordering apps on web.

#43 - 01/29/2020 01:28 PM - Kunal Jangid

#looked on net for Digital Menu Restaurant and tested their demo app.

#flutter PageView
#flutter WebView
#flutter for desktop app

#44 - 01/30/2020 01:49 PM - Kunal Jangid

#looked on net for Digital Menu Restaurant and tested their demo app.

#tried to create certificate on server.

#45 - 01/31/2020 11:43 AM - Kunal Jangid

#tried to generate certificate on Server.
#Added keys and values into Localization place/file.
#Tested Teamlink app and prepared a word document report.

#46 - 02/03/2020 01:54 PM - Kunal Jangid
#List Sorting.

#Searching item from a list.
#Tried to generate Certificate.

#47 - 02/05/2020 01:51 PM - Kunal Jangid
#learned localization in flutter.

#48 - 02/06/2020 01:34 PM - Kunal Jangid
- % Done changed from 50 to 60

#Writing custom platform-specific code.
#localization.

#Flutter Cookbook.

#Flutter Widget Catalog.

#Writing document for new app.

#49 - 02/07/2020 01:42 PM - Kunal Jangid

#Creating document for Restaurant app.
#Swipe to dismiss with UNDO function.
#Drawer

#List.generate

#FadelnImage with Placeholder
#Playing video

#50 - 05/04/2020 02:22 PM - Kunal Jangid
#Today's Consent Ul (2 hr)

#Various Ul fixing (spacing around the application, background color of the app, notice board Ul)

#51 - 05/06/2020 01:56 PM - Kunal Jangid

#Testing the App.(2hr)

#Fixed Folllowing Issues -(3 hr)

- Fixed Login Screen Logo.

- Bottom padding on Add Member Dialog!
- Close icon color on Add Member Dialog!

- After Changing password > Message should be "Your password has been updated” instead of "Your new password is update".

- Bottom Sheet Corner Radius.
- Some other Ul Fixes.
#Check Consent Details Ul and Setting the Data onto it.(4 hrs)

#52 - 07/03/2020 01:33 PM - Kunal Jangid

#Learning Node.js

#Node.js Introduction

#lInstallation

#Introduction and steps to Basic code of web based program.
#REPL (Read Eval Print and Loop)

#NPM (Node.js Package Manager)

#Node.js Assertion Testing

#Node.js Callbacks

#Some Example and practice.

#53 - 07/06/2020 01:40 PM - Kunal Jangid
#Compiled the code of chatting app.

#54 - 09/23/2020 10:39 AM - Kunal Jangid

#Fixed error which was crashing emulator(Transparent display).

#55 - 06/26/2024 05:36 AM - Karishma Tak

- Status changed from New to Closed
